[arch-commits] Commit in nodejs/repos (4 files)

Felix Yan fyan at archlinux.org
Fri Nov 21 17:55:31 UTC 2014


    Date: Friday, November 21, 2014 @ 18:55:30
  Author: fyan
Revision: 122872

archrelease: copy trunk to community-i686, community-x86_64

Added:
  nodejs/repos/community-i686/PKGBUILD
    (from rev 122871, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-x86_64/PKGBUILD
    (from rev 122871, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-i686/PKGBUILD
  nodejs/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |  184 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |   92 ----------------------
 community-x86_64/PKGBUILD |   92 ----------------------
 3 files changed, 184 insertions(+), 184 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-11-21 17:55:06 UTC (rev 122871)
+++ community-i686/PKGBUILD	2014-11-21 17:55:30 UTC (rev 122872)
@@ -1,92 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.10.33
-_npmver=2.1.9
-pkgrel=5
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl')
-provides=('nodejs-node-gyp')
-makedepends=('python2' 'git' 'procps-ng')
-optdepends=('python2: for node-gyp')
-checkdepends=('curl')
-options=('!emptydirs')
-source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
-        git+https://github.com/npm/npm.git#tag=v$_npmver)
-sha256sums=('75dc26c33144e6d0dc91cb0d68aaf0570ed0a7e4b0c35f3a7a726b500edd081e'
-            'SKIP')
-
-prepare() {
-  cd node-v$pkgver
-
-  # We need newer version of npm to fix bugs
-  rm -r deps/npm
-  ln -s "$srcdir/npm" deps
-  rm -r "$srcdir/npm/.git"
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --shared-openssl
-
-  make
-
-  cd ../npm
-  ../node-v$pkgver/node cli.js install ronn marked
-  PATH="$srcdir/node-v$pkgver:$PATH" make
-  ../node-v$pkgver/node cli.js uninstall ronn marked marked-man
-}
-
-check() {
-  cd node-v$pkgver
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-
-  install -d "$pkgdir"/usr/share/man/{man1,man3,man5,man7}
-  for _dir in man1 man3 man5 man7; do
-    cd "$pkgdir"/usr/lib/node_modules/npm/man/$_dir
-    for _file in *; do
-      ln -s /usr/lib/node_modules/npm/man/$_dir/$_file "$pkgdir"/usr/share/man/$_dir/
-    done
-  done
-
-  ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-i686/PKGBUILD (from rev 122871, nodejs/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-11-21 17:55:30 UTC (rev 122872)
@@ -0,0 +1,92 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.10.33
+_npmver=2.1.10
+pkgrel=6
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl')
+provides=('nodejs-node-gyp')
+makedepends=('python2' 'git' 'procps-ng')
+optdepends=('python2: for node-gyp')
+checkdepends=('curl')
+options=('!emptydirs')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+        git+https://github.com/npm/npm.git#tag=v$_npmver)
+sha256sums=('75dc26c33144e6d0dc91cb0d68aaf0570ed0a7e4b0c35f3a7a726b500edd081e'
+            'SKIP')
+
+prepare() {
+  cd node-v$pkgver
+
+  # We need newer version of npm to fix bugs
+  rm -r deps/npm
+  ln -s "$srcdir/npm" deps
+  rm -r "$srcdir/npm/.git"
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --shared-openssl
+
+  make
+
+  cd ../npm
+  ../node-v$pkgver/node cli.js install ronn marked
+  PATH="$srcdir/node-v$pkgver:$PATH" make
+  ../node-v$pkgver/node cli.js uninstall ronn marked marked-man
+}
+
+check() {
+  cd node-v$pkgver
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+
+  install -d "$pkgdir"/usr/share/man/{man1,man3,man5,man7}
+  for _dir in man1 man3 man5 man7; do
+    cd "$pkgdir"/usr/lib/node_modules/npm/man/$_dir
+    for _file in *; do
+      ln -s /usr/lib/node_modules/npm/man/$_dir/$_file "$pkgdir"/usr/share/man/$_dir/
+    done
+  done
+
+  ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-11-21 17:55:06 UTC (rev 122871)
+++ community-x86_64/PKGBUILD	2014-11-21 17:55:30 UTC (rev 122872)
@@ -1,92 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=0.10.33
-_npmver=2.1.9
-pkgrel=5
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl')
-provides=('nodejs-node-gyp')
-makedepends=('python2' 'git' 'procps-ng')
-optdepends=('python2: for node-gyp')
-checkdepends=('curl')
-options=('!emptydirs')
-source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
-        git+https://github.com/npm/npm.git#tag=v$_npmver)
-sha256sums=('75dc26c33144e6d0dc91cb0d68aaf0570ed0a7e4b0c35f3a7a726b500edd081e'
-            'SKIP')
-
-prepare() {
-  cd node-v$pkgver
-
-  # We need newer version of npm to fix bugs
-  rm -r deps/npm
-  ln -s "$srcdir/npm" deps
-  rm -r "$srcdir/npm/.git"
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v$pkgver
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --shared-openssl
-
-  make
-
-  cd ../npm
-  ../node-v$pkgver/node cli.js install ronn marked
-  PATH="$srcdir/node-v$pkgver:$PATH" make
-  ../node-v$pkgver/node cli.js uninstall ronn marked marked-man
-}
-
-check() {
-  cd node-v$pkgver
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # install docs as per user request
-  install -d "$pkgdir"/usr/share/doc/nodejs
-  cp -r doc/api/{*.html,assets} \
-    "$pkgdir"/usr/share/doc/nodejs
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-
-  install -d "$pkgdir"/usr/share/man/{man1,man3,man5,man7}
-  for _dir in man1 man3 man5 man7; do
-    cd "$pkgdir"/usr/lib/node_modules/npm/man/$_dir
-    for _file in *; do
-      ln -s /usr/lib/node_modules/npm/man/$_dir/$_file "$pkgdir"/usr/share/man/$_dir/
-    done
-  done
-
-  ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-x86_64/PKGBUILD (from rev 122871, nodejs/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-11-21 17:55:30 UTC (rev 122872)
@@ -0,0 +1,92 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=0.10.33
+_npmver=2.1.10
+pkgrel=6
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl')
+provides=('nodejs-node-gyp')
+makedepends=('python2' 'git' 'procps-ng')
+optdepends=('python2: for node-gyp')
+checkdepends=('curl')
+options=('!emptydirs')
+source=("http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+        git+https://github.com/npm/npm.git#tag=v$_npmver)
+sha256sums=('75dc26c33144e6d0dc91cb0d68aaf0570ed0a7e4b0c35f3a7a726b500edd081e'
+            'SKIP')
+
+prepare() {
+  cd node-v$pkgver
+
+  # We need newer version of npm to fix bugs
+  rm -r deps/npm
+  ln -s "$srcdir/npm" deps
+  rm -r "$srcdir/npm/.git"
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v$pkgver
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --shared-openssl
+
+  make
+
+  cd ../npm
+  ../node-v$pkgver/node cli.js install ronn marked
+  PATH="$srcdir/node-v$pkgver:$PATH" make
+  ../node-v$pkgver/node cli.js uninstall ronn marked marked-man
+}
+
+check() {
+  cd node-v$pkgver
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # install docs as per user request
+  install -d "$pkgdir"/usr/share/doc/nodejs
+  cp -r doc/api/{*.html,assets} \
+    "$pkgdir"/usr/share/doc/nodejs
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+
+  install -d "$pkgdir"/usr/share/man/{man1,man3,man5,man7}
+  for _dir in man1 man3 man5 man7; do
+    cd "$pkgdir"/usr/lib/node_modules/npm/man/$_dir
+    for _file in *; do
+      ln -s /usr/lib/node_modules/npm/man/$_dir/$_file "$pkgdir"/usr/share/man/$_dir/
+    done
+  done
+
+  ln -s /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js "$pkgdir"/usr/bin/node-gyp
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list